summaryrefslogtreecommitdiff
path: root/dev-cpp/robin-map
diff options
context:
space:
mode:
authorroot <root@alpha.trunkmasters.com>2026-06-12 19:09:37 -0500
committerroot <root@alpha.trunkmasters.com>2026-06-12 19:09:37 -0500
commitb590c8d7572b727d565cc0b8ff660d43569845de (patch)
tree06f7a4102ea4e845df8b66660f252920d52952f9 /dev-cpp/robin-map
parent24f9cbfc4c34fdb6a6e03311674414e881ceab47 (diff)
downloadbaldeagleos-repo-b590c8d7572b727d565cc0b8ff660d43569845de.tar.gz
baldeagleos-repo-b590c8d7572b727d565cc0b8ff660d43569845de.tar.xz
baldeagleos-repo-b590c8d7572b727d565cc0b8ff660d43569845de.zip
Adding metadata
Diffstat (limited to 'dev-cpp/robin-map')
-rw-r--r--dev-cpp/robin-map/Manifest3
-rw-r--r--dev-cpp/robin-map/files/robin-map-1.4.0-cmake-minreqver-3.10.patch48
-rw-r--r--dev-cpp/robin-map/metadata.xml9
-rw-r--r--dev-cpp/robin-map/robin-map-1.3.0.ebuild37
-rw-r--r--dev-cpp/robin-map/robin-map-1.4.0-r1.ebuild39
-rw-r--r--dev-cpp/robin-map/robin-map-1.4.1.ebuild37
-rw-r--r--dev-cpp/robin-map/robin-map-9999.ebuild37
7 files changed, 210 insertions, 0 deletions
diff --git a/dev-cpp/robin-map/Manifest b/dev-cpp/robin-map/Manifest
new file mode 100644
index 000000000000..e118a05ea648
--- /dev/null
+++ b/dev-cpp/robin-map/Manifest
@@ -0,0 +1,3 @@
+DIST robin-map-1.3.0.tar.gz 70562 BLAKE2B be6ee47ea06edd2485c16e02eecf8db28c7d18c2eb933450df54e0bab8c7ded79954a295a65a8990b641896186efef391a9f9f0f5b236ba96154bfa6cac45e14 SHA512 862cb98d771d1acb692e27d1cc8a4f2cda0883b66af7b38b63ea702ed2d4fc4d49e5700ca4d5f5148fee132f36e111c4839d4f8c52c96a9c60f3937d941b2320
+DIST robin-map-1.4.0.tar.gz 70352 BLAKE2B 01eb44931454d06b353b0d2a517c1f61ff0f0ba638a2d722031b89c14988919063c23e810e6beca7b199d9a17b3318ae86780eef3260a89604661427786507c8 SHA512 d65831ac9d1ae1b26d26386ee06835d788d18529d1cd9132f892091377572b2f9d68aaecfce79956238d327764fea7a144ad2922ced3cbe47cda8734b2df419f
+DIST robin-map-1.4.1.tar.gz 70330 BLAKE2B 36f482d29d634d5e866e817414bd60d734e9fedb0cdfbacbf34626047b10be0cafe43659253903577dd70ba23ee20a21f48b1bacf7e2c778e6bf4fb5180c740e SHA512 c77dba232537e71f930a9a54f4e7575debcac10bbfa67f002a3b7262889871d146de583b774b5c8a0b5bf5a7471ee17c375bda6bb4f3f3cf52e1d33313231be2
diff --git a/dev-cpp/robin-map/files/robin-map-1.4.0-cmake-minreqver-3.10.patch b/dev-cpp/robin-map/files/robin-map-1.4.0-cmake-minreqver-3.10.patch
new file mode 100644
index 000000000000..20f21ebc73ea
--- /dev/null
+++ b/dev-cpp/robin-map/files/robin-map-1.4.0-cmake-minreqver-3.10.patch
@@ -0,0 +1,48 @@
+Source: https://github.com/Tessil/robin-map/pull/89
+
+From 0f85726168ebd32bf169de269df245121506748c Mon Sep 17 00:00:00 2001
+From: Andreas Sturmlechner <asturm@gentoo.org>
+Date: Sat, 18 Oct 2025 22:28:16 +0200
+Subject: [PATCH] Raise CMake minimum version to 3.10..3.31 range
+
+CMake 3.10 was released in 2017.
+
+Amends 1115dad3ffa0994e3f43b693d9b9cc99944c64c1, fixes warning since CMake-3.31:
+
+CMake Deprecation Warning at CMakeLists.txt:1 (cmake_minimum_required):
+Compatibility with CMake < 3.10 will be removed from a future version of
+CMake.
+
+Update the VERSION argument value. Or, use the ... syntax
+to tell CMake that the project requires at least but has been updated
+to work with policies introduced by or earlier.
+
+Signed-off-by: Andreas Sturmlechner <asturm@gentoo.org>
+---
+ CMakeLists.txt | 2 +-
+ tests/CMakeLists.txt | 2 +-
+ 2 files changed, 2 insertions(+), 2 deletions(-)
+
+diff --git a/CMakeLists.txt b/CMakeLists.txt
+index be1a3ff..c08cc6f 100644
+--- a/CMakeLists.txt
++++ b/CMakeLists.txt
+@@ -1,4 +1,4 @@
+-cmake_minimum_required(VERSION 3.5)
++cmake_minimum_required(VERSION 3.10...3.31)
+
+ project(tsl-robin-map VERSION 1.4.0 LANGUAGES CXX)
+
+diff --git a/tests/CMakeLists.txt b/tests/CMakeLists.txt
+index 6d3bbcd..dac2039 100644
+--- a/tests/CMakeLists.txt
++++ b/tests/CMakeLists.txt
+@@ -1,4 +1,4 @@
+-cmake_minimum_required(VERSION 3.8)
++cmake_minimum_required(VERSION 3.10..3.31)
+
+ project(tsl_robin_map_tests)
+
+--
+2.51.1
+
diff --git a/dev-cpp/robin-map/metadata.xml b/dev-cpp/robin-map/metadata.xml
new file mode 100644
index 000000000000..b201c2cfeade
--- /dev/null
+++ b/dev-cpp/robin-map/metadata.xml
@@ -0,0 +1,9 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "https://docs.baldeagleos.com/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="project">
+ <email>sci@gentoo.org</email>
+ <name>Gentoo Science Project</name>
+ </maintainer>
+ <origin>baldeagleos-repo</origin>
+</pkgmetadata>
diff --git a/dev-cpp/robin-map/robin-map-1.3.0.ebuild b/dev-cpp/robin-map/robin-map-1.3.0.ebuild
new file mode 100644
index 000000000000..df97543a2226
--- /dev/null
+++ b/dev-cpp/robin-map/robin-map-1.3.0.ebuild
@@ -0,0 +1,37 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit cmake
+
+DESCRIPTION="C++ fast hash map and hash set using robin hood hashing"
+HOMEPAGE="https://github.com/Tessil/robin-map"
+
+if [[ ${PV} == 9999 ]] ; then
+ inherit git-r3
+ EGIT_REPO_URI="https://github.com/Tessil/robin-map"
+else
+ SRC_URI="https://github.com/Tessil/robin-map/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+ KEYWORDS="amd64 ~arm ~arm64 ~ppc64 ~riscv x86"
+fi
+
+LICENSE="MIT"
+SLOT="0"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+BDEPEND="
+ test? ( dev-libs/boost )
+"
+
+src_test() {
+ cd tests || die
+ sed -i \
+ -e '/Boost_USE_STATIC_LIBS/d' \
+ -e 's/-Werror//' \
+ CMakeLists.txt || die
+ cmake -S "${S}/tests" -B . -GNinja || die
+ eninja
+ ./tsl_robin_map_tests || die
+}
diff --git a/dev-cpp/robin-map/robin-map-1.4.0-r1.ebuild b/dev-cpp/robin-map/robin-map-1.4.0-r1.ebuild
new file mode 100644
index 000000000000..40398f44d0e3
--- /dev/null
+++ b/dev-cpp/robin-map/robin-map-1.4.0-r1.ebuild
@@ -0,0 +1,39 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit cmake
+
+DESCRIPTION="C++ fast hash map and hash set using robin hood hashing"
+HOMEPAGE="https://github.com/Tessil/robin-map"
+
+if [[ ${PV} == 9999 ]] ; then
+ inherit git-r3
+ EGIT_REPO_URI="https://github.com/Tessil/robin-map"
+else
+ SRC_URI="https://github.com/Tessil/robin-map/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+ KEYWORDS="amd64 ~arm arm64 ~ppc64 ~riscv x86"
+fi
+
+LICENSE="MIT"
+SLOT="0"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+BDEPEND="
+ test? ( dev-libs/boost )
+"
+
+PATCHES=( "${FILESDIR}/${P}-cmake-minreqver-3.10.patch" ) # bug #964543
+
+src_test() {
+ cd tests || die
+ sed -i \
+ -e '/Boost_USE_STATIC_LIBS/d' \
+ -e 's/-Werror//' \
+ CMakeLists.txt || die
+ cmake -S "${S}/tests" -B . -GNinja || die
+ eninja
+ ./tsl_robin_map_tests || die
+}
diff --git a/dev-cpp/robin-map/robin-map-1.4.1.ebuild b/dev-cpp/robin-map/robin-map-1.4.1.ebuild
new file mode 100644
index 000000000000..8171bfc100bd
--- /dev/null
+++ b/dev-cpp/robin-map/robin-map-1.4.1.ebuild
@@ -0,0 +1,37 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit cmake
+
+DESCRIPTION="C++ fast hash map and hash set using robin hood hashing"
+HOMEPAGE="https://github.com/Tessil/robin-map"
+
+if [[ ${PV} == 9999 ]] ; then
+ inherit git-r3
+ EGIT_REPO_URI="https://github.com/Tessil/robin-map"
+else
+ SRC_URI="https://github.com/Tessil/robin-map/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+ KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~s390 ~x86"
+fi
+
+LICENSE="MIT"
+SLOT="0"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+BDEPEND="
+ test? ( dev-libs/boost )
+"
+
+src_test() {
+ cd tests || die
+ sed -i \
+ -e '/Boost_USE_STATIC_LIBS/d' \
+ -e 's/-Werror//' \
+ CMakeLists.txt || die
+ cmake -S "${S}/tests" -B . -GNinja || die
+ eninja
+ ./tsl_robin_map_tests || die
+}
diff --git a/dev-cpp/robin-map/robin-map-9999.ebuild b/dev-cpp/robin-map/robin-map-9999.ebuild
new file mode 100644
index 000000000000..5ebd0b902e42
--- /dev/null
+++ b/dev-cpp/robin-map/robin-map-9999.ebuild
@@ -0,0 +1,37 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit cmake
+
+DESCRIPTION="C++ fast hash map and hash set using robin hood hashing"
+HOMEPAGE="https://github.com/Tessil/robin-map"
+
+if [[ ${PV} == 9999 ]] ; then
+ inherit git-r3
+ EGIT_REPO_URI="https://github.com/Tessil/robin-map"
+else
+ SRC_URI="https://github.com/Tessil/robin-map/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+ KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~riscv ~x86"
+fi
+
+LICENSE="MIT"
+SLOT="0"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+BDEPEND="
+ test? ( dev-libs/boost )
+"
+
+src_test() {
+ cd tests || die
+ sed -i \
+ -e '/Boost_USE_STATIC_LIBS/d' \
+ -e 's/-Werror//' \
+ CMakeLists.txt || die
+ cmake -S "${S}/tests" -B . -GNinja || die
+ eninja
+ ./tsl_robin_map_tests || die
+}